Subject: Re: Is perl-5.8.2 canonized for use on cygwin yet?
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Sun, 28 Dec 2003 20:49:34 -0800

On Sun, Dec 28, 2003 at 08:51:12PM -0700, "Blair P. Houghton" <[email-masked]> wrote:
> I think I've found the problem.
> 
> By more careful use of the -d=flags option to make, I traced it down to the second of two "subdirs"
> targets, and then turned off the NOECHO command (by taking it out of the script line in the Makefile
> under the second subdirs target).
> 
> Then, making only in the .../ext/B directory (as Yitzchak suggested), I got this output:
> 
>   % make -f Makefile all
>   cd C && make -f Makefile all LIB="C:\Program Files\Microsoft Visual Studio
> .NET\Vc7\lib\;C:\Program Files\Microsoft.NET\FrameworkSDK\Lib\" LIBPERL_A="libperl"
> LINKTYPE="dynamic" PREFIX="" OPTIMIZE="-O2" PASTHRU_DEFINE="" PASTHRU_INC=""
>   Syntax error: Unterminated quoted string
>   make: *** [subdirs] Error 2
> 
> Note the LIB variable.  It's not the spaces that are glaring, it's that trailing backslash before
> the closing double-quote.  Leave it to Microsoft to confuse a path with a string that is part of the
> computation of a path (they shoulda left the last slash off; it's only there as step-saving cruft
> for some string catenation that would probably be better written to do the slash insertion itself
> anyway; lamers).

Here's a quick workaround:

--- perl-5.8.2/lib/ExtUtils/MM_Unix.pm.orig	2003-10-31 14:03:45.000000000 -0800
+++ perl-5.8.2/lib/ExtUtils/MM_Unix.pm	2003-12-28 20:46:33.231611200 -0800
@@ -3119,7 +3119,7 @@
     my($sep) = $Is_VMS ? ',' : '';
     $sep .= "\\\n\t";
 
-    foreach $key (qw(LIB LIBPERL_A LINKTYPE PREFIX OPTIMIZE)) {
+    foreach $key (qw(LIBPERL_A LINKTYPE PREFIX OPTIMIZE)) {
 	push @pasthru, "$key=\"\$($key)\"";
     }

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/